Endpoint
GEThttps://api.graine.cloud/v1/Accounts/{AccountSid}/Calls/{CallSid}
Reference: REST Call Control — Get Call
Path parameters
Headers
Response
200 — Call found
404 — Call not found
500 — System error (response may include
msg in body)
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Get details of an existing call via the REST API
https://api.graine.cloud/v1/Accounts/{AccountSid}/Calls/{CallSid}
Reference: REST Call Control — Get Call
| Parameter | Type | Required | Description |
|---|---|---|---|
| AccountSid | string | Yes | Account SID |
| CallSid | string | Yes | Call SID |
| Header | Required | Description |
|---|---|---|
| Authorization | Yes | Bearer token |
| Property | Type | Description |
|---|---|---|
| account_sid | string (uuid) | Account SID |
| application_sid | string (uuid) | Application SID |
| call_id | string | Call ID |
| call_sid | string (uuid) | Call SID |
| call_status | string | One of: trying, ringing, alerting, in-progress, completed, busy, no-answer, failed, queued |
| caller_name | string | Caller name |
| direction | string | inbound or outbound |
| duration | integer | Call duration |
| from | string | Calling party |
| originating_sip_trunk_name | string | Trunk that received/originated the call |
| parent_call_sid | string (uuid) | Parent call SID if applicable |
| service_url | string | Service URL |
| sip_status | integer | SIP status |
| to | string | Called party |
msg in body)
import requests
url = "https://api.graine.cloud/v1/Accounts/AccountSid/Calls/CallSid"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.json())
const url = 'https://api.graine.cloud/v1/Accounts/AccountSid/Calls/CallSid';
const options = { method: 'GET', headers: { Authorization: 'Bearer <token>' } };
const response = await fetch(url, options);
const data = await response.json();
console.log(data);